# CHANGELOG


## 0.1

### 0.1.0a0
2020-02-18 _Initial (alpha) release_

**Code**
- Initial release with the following basic library tasks
  - clean
  - coverage
  - flake8
  - unittest
  
**Repository**
- Basic CI for linting
- No real unit tests

### 0.1.0a1
2020-02-25 _Basic enhancements_

**Code**
- All `lib` sub-modules renamed to end with an `_` so as to not clash with the actual package they are implementing in task form.
- Library module `get_task` functions now _optionally_ take a `TaskManager`, defaults to `None`.
- `exitable` added as a keyword argument to the unittest task so that you could fail fast (in the CI context).
- Logging code cleaned up to focus on command line logging.
  - `EmptyLogger` renamed to `QuietLogger` and all functionality is in `PrettyLogger`.
  - Now explicitly need to call `config_style` to use colors.
- In `TaskManager`, `root_module` renamed to `tasks_module`
- In `TaskManager`, `add_task` returns the added task.
- Basic command tasks now return the `Result` of `Context.run`.
- `max_line_length` removed from flake8 function in favor of using an ini config file.
- `TaskManager` namespace changed from property to function.
- `utils` added to make for cleaner imports
- Some classes' helper methods prefixed with `_` to denote the intended scope
- Static method `from_spec` added to `TaskManager` to allow for configuring/adding of tasks in one method. 

**Repository**
- Unit Tests added
- CHANGELOG added/maintained
- CI extended for unit tests/coverage
- Minimal documentation


### 0.1.0a2
2020-03-01 _Naming updates_

**Code**
- `test_dir` kwarg renamed to `dir_` in library for unittest
- `lint_dir` kwarg renamed to `dir_` in library for flake8
- `cov_dir` kwarg renamed to `report_dir` in library for coverage
- `cov_func` kwarg renamed to `func` in library for coverage
- `TaskManager.from_spec` renames a `'dir'` key to the `dir_` parameter

**Repository**
- README / long description updated with valid examples


### 0.1.0a3
2020-03-01 _Enhancements for different shaped projects_

**Code**
- Commands like unittest, coverage, flake8, and clean now have a `run_from` parameter which specifies the directory to execute the command
- Coverage default folder now named htmlcov

**Repository**
- None


### 0.1.0a3
2020-03-01 _Enhancements for different shaped projects_

**Code**
- Commands like unittest, coverage, flake8, and clean now have a `run_from` parameter which specifies the directory to execute the command
- Coverage default folder now named htmlcov

**Repository**
- None



### 0.1.0
2020-03-11

**Code**
- Environment files (.env files) can be loaded with python-dotenv by supplying an `env` keyword to `add_task`

**Repository**
- Development status upgraded to beta.


