
from invoke import task

from prettyrepo.plog import colorize
from prettyrepo.plog import NO_COLOR


def get_task(_=None, task_name='hello'):

    @task(
        help={'who': 'who to say hello to', 'color': 'the color to print in'},
        name=task_name
    )
    def hello_task(_, who='World', color=NO_COLOR, greeting='Hello'):
        """Say hello."""
        print(colorize(f'{greeting}, {who}!', color=color))

    return hello_task
