from setuptools import setup
from setuptools import find_packages

with open('semver.txt', 'r') as version_file:
    version = version_file.read().replace('\n', '')

with open('README.md', 'r') as readme_file:
    long_description = readme_file.read()


setup(
    name='prettyrepo',
    version=version,
    url='https://gitlab.com/tkutcher/prettyrepo/-/wikis/home',
    license='MIT',
    author='Tim Kutcher',
    author_email='tkutcher@dicorp.com',
    description="Common invoke tasks wrapper/library",
    long_description=long_description,
    long_description_content_type='text/markdown',
    packages=find_packages(exclude=['tests', 'tests.*']),
    include_package_data=True,
    install_requires=['invoke'],
    platforms='any',
    project_urls={
        'Bug Tracker': 'https://gitlab.com/tkutcher/prettyrepo/issues',
        'Source Code': 'https://gitlab.com/tkutcher/prettyrepo/',
    },
    classifiers=[
        'Development Status :: 4 - Beta',
        'Programming Language :: Python :: 3'
    ]

)
